# restify-url-semver-parser

> Extract version number from URL and adds this number as the value for request 'accept-version' header.

## Install

```bash
npm i restify-url-semver-parser -S
````

## Usage

Import package:

```js
const restifyUrlSemverParser = require('restify-url-semver-parser');
```

Apply plugin:

```js
const server = restify.createServer();
server.pre(restifyUrlSemverParser);
```

Define route:

```js
server.get({ path: '/', version: '1.2.3' }, (req, res, next) => {
  // Route implementation
});
```

Use [semantic versioning](https://semver.org/): MAJOR.MINOR.PATCH

Example:

1. http:example.com/v1.0.0/foo
2. http:example.com/v1.0.0-alpha/foo
3. http:example.com/v1.0.0-alpha+001/foo

The lowercase `v` as used in examples above is required.

## License

  MIT
